package com.yingxin.prms.dto;

import java.util.List;

/**
 * Created by gaoxiang on 2019/7/29.
 */
public class TcpFlowLineDto {
    private String from;   //出发点
    private String to;     //目的点
    private String description;
    private String descriptionCss;
    private String fromSpot;   //出发点代表位置  （上或下或左或右）
    private String toSpot;    //目的点代表位置  （上或下或左或右）
    private String color;
    private String text;
    private List points;
    private String client_alias;
    private String server_alias;
    private int errorTcpTransactionTotalCount;
    private int tcpTransactionTotalCount;



    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getTo() {
        return to;
    }

    public void setTo(String to) {
        this.to = to;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getFromSpot() {
        return fromSpot;
    }

    public void setFromSpot(String fromSpot) {
        this.fromSpot = fromSpot;
    }

    public String getToSpot() {
        return toSpot;
    }

    public void setToSpot(String toSpot) {
        this.toSpot = toSpot;
    }

    public String getColor() {
        return color;
    }

    public void setColor(String color) {
        this.color = color;
    }

    public List getPoints() {
        return points;
    }

    public void setPoints(List points) {
        this.points = points;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getClient_alias() {
        return client_alias;
    }

    public void setClient_alias(String client_alias) {
        this.client_alias = client_alias;
    }

    public String getServer_alias() {
        return server_alias;
    }

    public void setServer_alias(String server_alias) {
        this.server_alias = server_alias;
    }

    public int getErrorTcpTransactionTotalCount() {
        return errorTcpTransactionTotalCount;
    }

    public void setErrorTcpTransactionTotalCount(int errorTcpTransactionTotalCount) {
        this.errorTcpTransactionTotalCount = errorTcpTransactionTotalCount;
    }

    public int getTcpTransactionTotalCount() {
        return tcpTransactionTotalCount;
    }

    public void setTcpTransactionTotalCount(int tcpTransactionTotalCount) {
        this.tcpTransactionTotalCount = tcpTransactionTotalCount;
    }

    public String getDescriptionCss() {
        return descriptionCss;
    }

    public void setDescriptionCss(String descriptionCss) {
        this.descriptionCss = descriptionCss;
    }

    @Override
    public String toString() {
        return "TcpFlowLineDto{" +
                "from='" + from + '\'' +
                ", to='" + to + '\'' +
                ", description='" + description + '\'' +
                ", descriptionCss='" + descriptionCss + '\'' +
                ", fromSpot='" + fromSpot + '\'' +
                ", toSpot='" + toSpot + '\'' +
                ", color='" + color + '\'' +
                ", text='" + text + '\'' +
                ", points=" + points +
                ", client_alias='" + client_alias + '\'' +
                ", server_alias='" + server_alias + '\'' +
                ", errorTcpTransactionTotalCount=" + errorTcpTransactionTotalCount +
                ", tcpTransactionTotalCount=" + tcpTransactionTotalCount +
                '}';
    }
}
